/********************************************************************/
/* Copyright (c) 2019 System fugen G.K. and Yuzi Mizuno          */
/* All rights reserved.                                             */
/********************************************************************/
/********************************************************************/
#if !defined(AFX_UISPLITTERWND_H__8D6DD170_641C_4AC1_A569_A7762E072FBB__INCLUDED_)
#define AFX_UISPLITTERWND_H__8D6DD170_641C_4AC1_A569_A7762E072FBB__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

class fugenView;

/////////////////////////////////////////////////////////////////////////////
// CUISplitterWnd ウィンドウ

class CUISplitterWnd : public CSplitterWnd
{
	DECLARE_DYNAMIC(CUISplitterWnd)
// コンストラクション
public:
	CUISplitterWnd();
	// Create a multiple view type splitter with static layout with variable cols.
	BOOL CreateStaticEx(CWnd* pParentWnd,
				int maxRows, int maxCols, CCreateContext* pContext,
				DWORD dwStyle = WS_CHILD | WS_VISIBLE,
				UINT nID = AFX_IDW_PANE_FIRST);

// アトリビュート
protected:
	CSize m_sizePrev;

public:
// オーバーライド
	// ClassWizard は仮想関数のオーバーライドを生成します。
	//{{AFX_VIRTUAL(CUISplitterWnd)
	virtual BOOL CanActivateNext( BOOL bPrev = FALSE );
	virtual void ActivateNext( BOOL bPrev = FALSE );
	virtual void SetActivePane( int row, int col, CWnd* pWnd = NULL );

	virtual void OnInvertTracker(const CRect& rect);
	virtual void RecalcLayout();    // call after changing sizes
	//}}AFX_VIRTUAL

// インプリメンテーション
public:
	virtual ~CUISplitterWnd();
	void RecalcViewSize();
	void ResetViewNums(int nRow, int nCol);

	// 生成されたメッセージ マップ関数
protected:
	//{{AFX_MSG(CUISplitterWnd)
	afx_msg void OnSize(UINT nType, int cx, int cy);
	//}}AFX_MSG

	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ は前行の直前に追加の宣言を挿入します。

#endif // !defined(AFX_UISPLITTERWND_H__8D6DD170_641C_4AC1_A569_A7762E072FBB__INCLUDED_)
